Redmine - Defect #4018

Issues are not shown in calendar and Gantt chart
2009-10-11 21:18 - Oleksiy Lukin

Status: Closed Start date: 2009-10-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version:

Description

This bug is very strange. Some issues are shown in calendar and Gnatt diagram but some are not. | looked at databse and did not
find any differecnce between shown and lost issues. To take a look at behavior please visit
http://kurs.stu.cn.ua/projects/dec2-auth/issues

It is in cyrillic, but that's not important. You can see a lot of issues but if you press calendar or Gannt char, you'll see only few.

The code of this server is latest by date 2009-10-11 and runs on rails 2.3.4
Full info generated by recomended "about" script is attached

History

#1 - 2009-10-24 13:42 - Jean-Philippe Lang

| can not reproduce with latest trunk.
Please provide the application log while running in debug mode and your database version.

#2 - 2010-01-17 12:20 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to No feedback

#3 - 2010-04-30 23:32 - Mark Anderson

- Status changed from Closed to Reopened

| taken the liberty to change the status from closed to reopened. My apologies if this is not the proper procedure.
| also have this problem.

Working with my student, we have, by experiments, determined that issues with no assigned due date are left off the Gantt chart but do show in the
issue list.

This works in my 0.8.3 build but not in the 0.9.3 version. The 0.8.3 version is on Ubuntu 9.04 while the 0.9.3 version is on Ubuntu 9.10. Both are
virtual machines - the newer version was obtained by cloning the VM then applying all the intervening updates (partly to validate the procedure).

In reading through the code | see that the pseudo code is the same in both version but the actual lines of code are different. Perhaps the new coding
method fails to include those with no specified end date and not assigned to a version or a version with a date (which is what | am seeing).

| will try to obtain the additional "about" & "debug" info requested by Jean-Philippe over the weekend.
thank you!

Mark Anderson
the Design Lab at Rensselaer

#4 - 2010-05-02 22:35 - Mark Anderson
- File about.txt.zip added
- File production__copy_.log.zip added

Attached are the two files.

For this sample project there is only a single task. | have already tested that the tracker type does not affect the problem. | have also confirmed that
adding either an end date or making this issue belong to a version that has a set date will make it show up on the Gantt chart.
http://kurs.stu.cn.ua/projects/dec2-auth/issues

many thanks
Mark

#5 - 2010-10-04 05:04 - Mischa The Evil
- Status changed from Reopened to Closed
- Resolution changed from No feedback to Cant reproduce
Mark Anderson wrote:
[...] determined that issues with no assigned due date are left off the Gantt chart but do show in the issue list.
This is the expected behaviour for the Gantt chart. It only displays "issues that have a start date and a due date or are assigned to a version with a

date".
In addition: the calendar displays only the issues that have a start date.

#6 - 2010-10-04 05:26 - Jean-Baptiste Barth
Mischa The Evil wrote:
This is the expected behaviour for the Gantt chart. It only displays "issues that have a start date and a due date or are assigned to a version with

a date".

Note this behavior may change with Redmine 1.1.0 release, see #6407.

Files

bug.txt 11.1 KB 2009-10-11 Oleksiy Lukin
about.txt.zip 506 Bytes 2010-05-02 Mark Anderson
production__copy_.log.zip 11.2 KB 2010-05-02 Mark Anderson

2024-05-01 22


https://www.redmine.org/projects/redmine/wiki/RedmineGantt
https://www.redmine.org/projects/redmine/wiki/RedmineCalendar
https://www.redmine.org/projects/redmine/wiki/RedmineGantt
https://www.redmine.org/issues/6407
http://www.tcpdf.org

